<div class="top-actions">
    <button
        mat-raised-button
        color="primary"
        class="add-button"
        (click)="openCreateDialog()"
    >
        <mat-icon svgIcon="sprite:plus-circle"></mat-icon>
        Adicionar
    </button>

    <button
        mat-icon-button
        (click)="changeView(1)"
        [class.active-icon]="viewType == 1"
    >
        <mat-icon>apps</mat-icon>
    </button>

    <button
        mat-icon-button
        (click)="changeView(2)"
        [class.active-icon]="viewType == 2"
    >
        <mat-icon>view_list</mat-icon>
    </button>
</div>

<ng-template [ngIf]="viewType == 1" [ngIfElse]="listMachines">
    <app-machines-grid [machines]="machines"></app-machines-grid>
</ng-template>

<ng-template #listMachines>
    <app-machines-list [machines]="machines"></app-machines-list>
</ng-template>
